*
*
.SUBCKT IO_OUT  OUT  DATA  ENA VDD VSS
M1    1    ENA  VDD    VDD    pm    L =  5U     W = 120.00U     
M2    1    ENA  VSS    VSS    nm    L =  5U     W = 50.00U     
M3    3   1   2    VDD    pm    L =  5U     W = 100.00U
M4    2    DATA   VDD   VDD    pm    L =  5U     W = 100.00U
M5    3   1   VSS    VSS    nm    L =  5U     W = 50.00U
M6    3    DATA   VSS   VSS    nm    L =  5U     W = 50.00U
M7    5   DATA   VDD   VDD    pm    L =  5U     W = 100.00U
M8    5   ENA   VDD   VDD    pm    L =  5U     W = 100.00U
M9    5   DATA   4    VSS    nm    L =  5U     W = 50.00U
M10    4    ENA   VSS   VSS    nm    L =  5U     W = 50.00U
M11    OUT1    5  VDD    VDD    pm    L =  5U     W = 360.00U     
M12    OUT1    3  VSS    VSS    nm    L =  5U     W = 360.00U     
M13    OUT    OUT1  VDD    VDD    pm    L =  5U     W = 1080.00U     
M14    OUT    OUT1  VSS    VSS    nm    L =  5U     W = 1080.00U     
.ENDS IO_OUT
*
.SUBCKT IO_IN  OUT  IN VDD VSS
D1   IN  VDD  D
D2   VSS IN  D
R1   IN  1    10
M1    OUT    1  VDD    VDD    pm    L =  5U     W = 120.00U     
M2    OUT    1  VSS    VSS    nm    L =  5U     W = 50.00U 
.ENDS IO_IN
*
.SUBCKT IO_TEST_LOAD LOAD
R1 LOAD 1 50
V1 1 0 1.8
C1 LOAD 0 10p
.ENDS
*
*XOUT 1 2 3 4 5 IO_OUT
*XIN 6 1 4 5 IO_IN
*XLOAD 1 IO_TEST_LOAD
*VDD 4 0 5
*VSS 5 0 0
*VDATA 2 0 PULSE(0 5 0 10n 10n 50n)
*VENA 3 0 5
*RDUM 6 0 1e6
*
simulator lang = spectre
model pm mos0 type=p
model nm mos0 type=n
model d  diode
simulator lang = spice
